"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  getAsyncJob: () => getAsyncJob2,
  listAsyncJobItems: () => listAsyncJobItems2
});
module.exports = __toCommonJS(meta_exports);

// src/infra-asyncjobs-v1-async-job-async-jobs.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixInfraAsyncjobsV1AsyncJobServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/async-job-service",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/async-jobs",
        destPath: "/v1/async-jobs"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/async-jobs",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_api/async-jobs",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/async-jobs",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_async-jobs_async-jobs";
function getAsyncJob(payload) {
  function __getAsyncJob({ host }) {
    const metadata = {
      entityFqdn: "wix.infra.asyncjobs.v1.async_job",
      method: "GET",
      methodFqn: "wix.infra.asyncjobs.v1.AsyncJobService.GetAsyncJob",
      packageName: PACKAGE_NAME,
      url: resolveWixInfraAsyncjobsV1AsyncJobServiceUrl({
        protoPath: "/v1/async-jobs/{jobId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [{ path: "job.createdDate" }, { path: "job.updatedDate" }]
        }
      ])
    };
    return metadata;
  }
  return __getAsyncJob;
}
function listAsyncJobItems(payload) {
  function __listAsyncJobItems({ host }) {
    const metadata = {
      entityFqdn: "wix.infra.asyncjobs.v1.async_job",
      method: "GET",
      methodFqn: "wix.infra.asyncjobs.v1.AsyncJobService.ListAsyncJobItems",
      packageName: PACKAGE_NAME,
      url: resolveWixInfraAsyncjobsV1AsyncJobServiceUrl({
        protoPath: "/v1/async-jobs/{jobId}/items",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __listAsyncJobItems;
}

// src/infra-asyncjobs-v1-async-job-async-jobs.meta.ts
function getAsyncJob2() {
  const payload = { jobId: ":jobId" };
  const getRequestOptions = getAsyncJob(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/async-jobs/{jobId}",
    pathParams: { jobId: "jobId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function listAsyncJobItems2() {
  const payload = { jobId: ":jobId" };
  const getRequestOptions = listAsyncJobItems(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/async-jobs/{jobId}/items",
    pathParams: { jobId: "jobId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getAsyncJob,
  listAsyncJobItems
});
//# sourceMappingURL=meta.js.map