// src/infra-asyncjobs-v1-async-job-async-jobs.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixInfraAsyncjobsV1AsyncJobServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/async-job-service",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/async-jobs",
        destPath: "/v1/async-jobs"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/async-jobs",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_api/async-jobs",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/async-jobs",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_async-jobs_async-jobs";
function getAsyncJob(payload) {
  function __getAsyncJob({ host }) {
    const metadata = {
      entityFqdn: "wix.infra.asyncjobs.v1.async_job",
      method: "GET",
      methodFqn: "wix.infra.asyncjobs.v1.AsyncJobService.GetAsyncJob",
      packageName: PACKAGE_NAME,
      url: resolveWixInfraAsyncjobsV1AsyncJobServiceUrl({
        protoPath: "/v1/async-jobs/{jobId}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [{ path: "job.createdDate" }, { path: "job.updatedDate" }]
        }
      ])
    };
    return metadata;
  }
  return __getAsyncJob;
}
function listAsyncJobItems(payload) {
  function __listAsyncJobItems({ host }) {
    const metadata = {
      entityFqdn: "wix.infra.asyncjobs.v1.async_job",
      method: "GET",
      methodFqn: "wix.infra.asyncjobs.v1.AsyncJobService.ListAsyncJobItems",
      packageName: PACKAGE_NAME,
      url: resolveWixInfraAsyncjobsV1AsyncJobServiceUrl({
        protoPath: "/v1/async-jobs/{jobId}/items",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __listAsyncJobItems;
}

// src/infra-asyncjobs-v1-async-job-async-jobs.meta.ts
function getAsyncJob2() {
  const payload = { jobId: ":jobId" };
  const getRequestOptions = getAsyncJob(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/async-jobs/{jobId}",
    pathParams: { jobId: "jobId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function listAsyncJobItems2() {
  const payload = { jobId: ":jobId" };
  const getRequestOptions = listAsyncJobItems(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/async-jobs/{jobId}/items",
    pathParams: { jobId: "jobId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  getAsyncJob2 as getAsyncJob,
  listAsyncJobItems2 as listAsyncJobItems
};
//# sourceMappingURL=meta.mjs.map